【Locked需求】小窗模式需求
2022-08-09 13:45 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2023-03-10

Priority: Normal Due date:

Assignee: DL FW-张挽强 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

通过小窗模式，支持应用双开，且支持小窗的大小和位置变更。

    -  开启方式：

在Launcher界面长按应用button，唤起小窗快捷入口，通过快捷入口打开该APP小窗。

任务管理界面（recent界面），通过点击小窗应用窗口中的APP图标，或点击右侧带有“小窗”标识的APP卡片，打开该APP的小窗

悬浮界面。小窗需要支持冷启动。

    -  小窗状态：

正常状态（小窗默认状态）：

    -     尺寸：以UE设计的laytou布局尺寸为准

    状态进入方式：*

        1. 小窗默认状态，通过入口进入后，默认为该状态

        2. mini状态下：双击顶部，mini状态变为正常状态

mini状态：    * 尺寸：以UE设计的laytou布局尺寸为准

     状态进入方式*：

        1. 正常状态下，采用悬挂四角的方式进入mini状态。

    -  位置调整方式：

      - 正常状态下：

        - 用户可以左右拖动小窗放置于屏幕左侧和右侧，小窗会根据距离左右的边距，自动吸附至界面左侧或界面右侧。

        - 不可拖至屏幕外

          - 在launcher界面中不可覆盖Dock栏

          - 在应用中，小窗在屏幕边缘展示，即无dock栏存在时。

      - mini状态下：

        - 用户可拖动小窗放置于屏幕四角，并且内容比例需要随小窗缩放而变化。

        - 小窗mini状态下拖动至屏幕中间时，根据小窗位置与屏幕四角的距离，就近原则进行吸附悬挂。

        - 不可拖至屏幕外

          - 在launcher界面中不可覆盖Dock栏

          - 在应用中，小窗在屏幕边缘展示，即无dock栏存在时。

        - 四角悬挂：

          - 用户将小窗拖到四角时，进入悬挂模式，小窗为mini状态；

          - 进入对应悬挂区域时，需要有悬挂提示；

    -  小窗关闭：

    1. 小窗提供关闭入口，通过手势关闭小窗，以UE交互为准。

    2. 支持全局底部上滑手势关闭小窗。

    -  全屏应用：在小窗状态（正常状态）下，双击应用小窗，全屏应用

    -  小窗应用白名单：在setting中展示所有支持小窗模式的应用名单。

需求文档链接：https://thundersoft.feishu.cn/docs/doccnuGQg3BhDMC5jvZwfCGO5yb
https://thundersoft.feishu.cn/docs/doccnuGQg3BhDMC5jvZwfCGO5yb


Subtasks:

需求 Requirement # 116855: 【变更需求】-强制小窗启动 New

History

#1 - 2022-09-26 17:59 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930

#2 - 2022-09-27 19:22 - CD TPM-申艳艳

- Category changed from CD-FW to 窗口定制

#3 - 2022-10-31 11:49 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强
